Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		qtmediahub
#Epoch:		0
Version:	0.0.1
Release:	1
License:	BSD
URL:		http://gitorious.org/qtmediahub
Group:		Multimedia
Summary:	Qt reference implementation of XBMC
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		qtmediahub-targetdir.patch

# Requires:

# BuildRequires:
BuildRequires: qt-mobility-devel
BuildRequires: gstreamer10-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: avahi-devel
BuildRequires: avahi-bindings-qt4
BuildRequires: qt4-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel

%description
This is a reference implementation of XBMC intended to showcase the power and convenience of QML and as a demo for use at Qt related events

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
qmake-qt4 .

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
   /usr/include/QtComponents/qdeclarativewindow.h
   /usr/lib/libQtComponents.so
   /usr/lib/libQtComponents.so.1
   /usr/lib/libQtComponents.so.1.0
   /usr/lib/libQtComponents.so.1.0.0
   /usr/lib/qt4/imports/Qt/labs/Mx/Button.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Combobox.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Common.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Entry.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Expander.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Label.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/PathBar.js
   /usr/lib/qt4/imports/Qt/labs/Mx/PathBar.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/ProgressBar.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/ScrollBar.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/ScrollGrid.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/ScrollView.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Slider.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/TitlebarCombobox.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Toggle.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Tooltip.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/TooltipLoader.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/TopLevelItem.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/Window.qml
   /usr/lib/qt4/imports/Qt/labs/Mx/images/button-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/button-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/button.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/close-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/close.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/combobox-marker.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/combobox-toolbar-marker.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/combobox-toolbar.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/combobox.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/edit-clear.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/edit-find.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/entry-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/entry.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-arrow-down-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-arrow-down.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-arrow-up-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-arrow-up.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-closed.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/expander-open.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/menu-item.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/menu-toolbar.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/menu.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-focus.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-last-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-last-focus.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-last-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button-last.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/pathbar-button.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/plus-button-checked-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/plus-button-checked.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/plus-button-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/plus-button.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/progress-bar-background.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/progress-bar-bar.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/resize-grip.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-down-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-down.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-left-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-left.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-right-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-right.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-up-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-button-up.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-hbackground-disabled.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-hbackground.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-hhandle-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-hhandle-disabled.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-hhandle-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-hhandle.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-vbackground-disabled.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-vbackground.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-vhandle-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-vhandle-disabled.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-vhandle-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/scroll-vhandle.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-background-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-background-disabled.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-background-focus.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-background-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-background.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-handle-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-handle-disabled.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-handle-focus.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-handle-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/slider-handle.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/toggle-background-active.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/toggle-background.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/toggle-handle.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/toolbar-button-hover.png
   /usr/lib/qt4/imports/Qt/labs/Mx/images/tooltip-background.png
   /usr/lib/qt4/imports/Qt/labs/Mx/libmxplugin.so
   /usr/lib/qt4/imports/Qt/labs/Mx/qmldir
   /usr/lib/qt4/imports/Qt/labs/components/Checkable.qml
   /usr/lib/qt4/imports/Qt/labs/components/CheckableGroup.js
   /usr/lib/qt4/imports/Qt/labs/components/CheckableGroup.qml
   /usr/lib/qt4/imports/Qt/labs/components/libqtcomponentsplugin.so
   /usr/lib/qt4/imports/Qt/labs/components/qmldir
   /usr/bin/qmh
   /usr/bin/qmlremotecontrol

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Mar 04 2011 Karsten Brockmann <arcam@ccux-linux.de> -1
- initial CCux package release
